Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices
Class OGCWebServiceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.deegree.ogcbase.OGCException
                  org.deegree.ogcwebservices.OGCWebServiceException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CurrentUpdateSequenceException, InconsistentRequestException, InvalidCapabilitiesException, InvalidConfigurationException, InvalidCoverageDescriptionExcpetion, InvalidCVExtensionException, InvalidGMLException, InvalidParameterValueException, InvalidSRSException, InvalidUpdateSequenceException, LayerNotDefinedException, LayerNotQueryableException, MissingParameterValueException, NoApplicableCodeException, NonexistentCollectionException, NonexistentTypeException, OperationNotSupportedException, PrintMapServiceException, ServerBusyException, StyleNotDefinedException, UnknownCVExtensionException, VersionNegotiationFailedException, WCSException

    public class OGCWebServiceException

extends OGCException

Since:
  2.0
Version:
  1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.ogcbase.OGCException
`code`

Constructor Summary
`OGCWebServiceException(String message)`
`OGCWebServiceException(String message, ExceptionCode code)`
`OGCWebServiceException(String locator, String message)`
`OGCWebServiceException(String locator, String message, ExceptionCode code)`

Method Summary
`static OGCWebServiceException` | `create(Document doc)` creates an OGCWebServiceException from a DOM object as defined in the OGC common implementation specification
`static OGCWebServiceException` | `create(Element root)` creates an OGCWebServiceException from a DOM Element object as defined in the OGC common implementation specification
`String` | `getLocator()`
`void` | `setLocator(String locator)`

Methods inherited from class org.deegree.ogcbase.OGCException
`getCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OGCWebServiceException

    public OGCWebServiceException(String message)

Parameters:
  `message` -

### OGCWebServiceException

    public OGCWebServiceException(String message,
                                  ExceptionCode code)

Parameters:
  `message` -
  `code` - of the exception, often defined in the web service spec.

### OGCWebServiceException

    public OGCWebServiceException(String locator,
                                  String message)

Parameters:
  `locator` -
  `message` -

### OGCWebServiceException

    public OGCWebServiceException(String locator,
                                  String message,
                                  ExceptionCode code)

Parameters:
  `locator` -
  `message` -
  `code` -

Method Detail

### create

    public static OGCWebServiceException create(Document doc)

  creates an OGCWebServiceException from a DOM object as defined in the OGC common implementation specification

  Parameters:
    `doc` -
  Returns:
    an `OGCWebServiceException` with the message, code and locator set to the xml inside the document.

### create

    public static OGCWebServiceException create(Element root)

  creates an OGCWebServiceException from a DOM Element object as defined in the OGC common implementation specification

  Parameters:
    `root` -
  Returns:
    an `OGCWebServiceException` with the message, code and locator set to the xml inside the document.

### getLocator

    public String getLocator()

  Returns:
    the class/service that has caused the exception

### setLocator

    public void setLocator(String locator)

  Parameters:
    `locator` - sets the class/service that has caused the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org